/***************************************************************************
 *   Copyright (C) 2005 by Luc Willems   *
 *   willems.luc@pandora.be   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

static const char* const led_colon[] = { 
"5 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".#aab",
".baa#",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
"#aab.",
"baa#.",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
".....",
"....."};

static const char* const led_minus[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"a c #838dc5",
"b c #c5daff",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"......##aaaaa#......",
".....bbbbbbbbbb.....",
"......#aaaaa##......",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"....................",
"...................."};

static const char* const led_0[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"....#.#...........b.",
"...#a#...........#ab",
"...#aab..........#ab",
"...#aab.........#aab",
"...baa#.........baa#",
"...baa#.........baa#",
"...baa#.........baa#",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..baa#.........baa#.",
"..ba#..........#ba#.",
"..b#............#b#.",
"....................",
".#b#............#b..",
".#ab#..........#ab..",
".#aab.........#aab..",
".baa#.........baa#..",
".baa#.........baa#..",
".baa#.........baa#..",
"#aab.........#aab...",
"#aab.........#aab...",
"#aab.........#aab...",
"baa#.........baa#...",
"ba#..........baa#...",
"ba#...........#a#...",
".b...........#.#....",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_1[] = { 
"20 34 4 1",
". c #000000",
"a c #414c83",
"# c #838dc5",
"b c #c5daff",
"....................",
"....................",
"....................",
"....................",
"..................#.",
".................ab#",
".................ab#",
"................abb#",
"................#bba",
"................#bba",
"................#bba",
"...............abb#.",
"...............abb#.",
"...............abb#.",
"...............#bba.",
"...............a#ba.",
"................a#a.",
"....................",
"................a#..",
"...............ab#..",
"..............abb#..",
"..............#bba..",
"..............#bba..",
"..............#bba..",
".............abb#...",
".............abb#...",
".............abb#...",
".............#bba...",
".............#bba...",
"..............aba...",
"...............a....",
"....................",
"....................",
"...................."};

static const char* const led_2[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"......#...........b.",
".................#ab",
".................#ab",
"................#aab",
"................baa#",
"................baa#",
"................baa#",
"...............#aab.",
"...............#aab.",
"...............#aab.",
"...............baa#.",
"...............#ba#.",
"......##bbbbb#..#b#.",
".....aaaaaaaaaa.....",
".#b#..#bbbbb##......",
".#ab#...............",
".#aab...............",
".baa#...............",
".baa#...............",
".baa#...............",
"#aab................",
"#aab................",
"#aab................",
"baa#................",
"ba#.................",
"ba#.................",
".b...........#......",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_3[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"......#...........b.",
".................#ab",
".................#ab",
"................#aab",
"................baa#",
"................baa#",
"................baa#",
"...............#aab.",
"...............#aab.",
"...............#aab.",
"...............baa#.",
"...............#ba#.",
"......##bbbbb#..#b#.",
".....aaaaaaaaaa.....",
"......#bbbbb##..#b..",
"...............#ab..",
"..............#aab..",
"..............baa#..",
"..............baa#..",
"..............baa#..",
".............#aab...",
".............#aab...",
".............#aab...",
".............baa#...",
".............baa#...",
"..............#a#...",
".............#.#....",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_4[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"a c #838dc5",
"b c #c5daff",
"....................",
"....................",
"....................",
"....................",
"....#.............a.",
"...#b#...........#ba",
"...#bba..........#ba",
"...#bba.........#bba",
"...abb#.........abb#",
"...abb#.........abb#",
"...abb#.........abb#",
"..#bba.........#bba.",
"..#bba.........#bba.",
"..#bba.........#bba.",
"..abb#.........abb#.",
"..ab#..........#ab#.",
"..a#..##aaaaa#..#a#.",
".....bbbbbbbbbb.....",
"......#aaaaa##..#a..",
"...............#ba..",
"..............#bba..",
"..............abb#..",
"..............abb#..",
"..............abb#..",
".............#bba...",
".............#bba...",
".............#bba...",
".............abb#...",
".............abb#...",
"..............#b#...",
"...............#....",
"....................",
"....................",
"...................."};

static const char* const led_5[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"....#.#.............",
"...#a#..............",
"...#aab.............",
"...#aab.............",
"...baa#.............",
"...baa#.............",
"...baa#.............",
"..#aab..............",
"..#aab..............",
"..#aab..............",
"..baa#..............",
"..ba#...............",
"..b#..##bbbbb#......",
".....aaaaaaaaaa.....",
"......#bbbbb##..#b..",
"...............#ab..",
"..............#aab..",
"..............baa#..",
"..............baa#..",
"..............baa#..",
".............#aab...",
".............#aab...",
".............#aab...",
".............baa#...",
".............baa#...",
"..............#a#...",
".............#.#....",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_6[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"....#.#.............",
"...#a#..............",
"...#aab.............",
"...#aab.............",
"...baa#.............",
"...baa#.............",
"...baa#.............",
"..#aab..............",
"..#aab..............",
"..#aab..............",
"..baa#..............",
"..ba#...............",
"..b#..##bbbbb#......",
".....aaaaaaaaaa.....",
".#b#..#bbbbb##..#b..",
".#ab#..........#ab..",
".#aab.........#aab..",
".baa#.........baa#..",
".baa#.........baa#..",
".baa#.........baa#..",
"#aab.........#aab...",
"#aab.........#aab...",
"#aab.........#aab...",
"baa#.........baa#...",
"ba#..........baa#...",
"ba#...........#a#...",
".b...........#.#....",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_7[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"......#...........b.",
".................#ab",
".................#ab",
"................#aab",
"................baa#",
"................baa#",
"................baa#",
"...............#aab.",
"...............#aab.",
"...............#aab.",
"...............baa#.",
"...............#ba#.",
"................#b#.",
"....................",
"................#b..",
"...............#ab..",
"..............#aab..",
"..............baa#..",
"..............baa#..",
"..............baa#..",
".............#aab...",
".............#aab...",
".............#aab...",
".............baa#...",
".............baa#...",
"..............#a#...",
"...............#....",
"....................",
"....................",
"...................."};

static const char* const led_8[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"....#.#...........b.",
"...#a#...........#ab",
"...#aab..........#ab",
"...#aab.........#aab",
"...baa#.........baa#",
"...baa#.........baa#",
"...baa#.........baa#",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..baa#.........baa#.",
"..ba#..........#ba#.",
"..b#..##bbbbb#..#b#.",
".....aaaaaaaaaa.....",
".#b#..#bbbbb##..#b..",
".#ab#..........#ab..",
".#aab.........#aab..",
".baa#.........baa#..",
".baa#.........baa#..",
".baa#.........baa#..",
"#aab.........#aab...",
"#aab.........#aab...",
"#aab.........#aab...",
"baa#.........baa#...",
"ba#..........baa#...",
"ba#...........#a#...",
".b...........#.#....",
"..#baaaaaaaaaab.....",
"#baaaaaaaaaaaab#....",
"...................."};

static const char* const led_9[] = { 
"20 34 4 1",
". c #000000",
"# c #414c83",
"b c #838dc5",
"a c #c5daff",
"....................",
"....................",
".....#aaaaaaaaaaaab#",
".....baaaaaaaaaab#..",
"....#.#...........b.",
"...#a#...........#ab",
"...#aab..........#ab",
"...#aab.........#aab",
"...baa#.........baa#",
"...baa#.........baa#",
"...baa#.........baa#",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..#aab.........#aab.",
"..baa#.........baa#.",
"..ba#..........#ba#.",
"..b#..##bbbbb#..#b#.",
".....aaaaaaaaaa.....",
"......#bbbbb##..#b..",
"...............#ab..",
"..............#aab..",
"..............baa#..",
"..............baa#..",
"..............baa#..",
".............#aab...",
".............#aab...",
".............#aab...",
".............baa#...",
".............baa#...",
"..............#a#...",
"...............#....",
"....................",
"....................",
"...................."
};
